Package org.apache.calcite.avatica.remote

# Interface AvaticaHttpClient

All Known Implementing Classes:
  `AvaticaCommonsHttpClientImpl`, `AvaticaHttpClientImpl`, `DoAsAvaticaHttpClient`

public interface AvaticaHttpClient
An interface which defines how requests are sent to the Avatica server.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`send(byte[] request)`
Sends a serialized request to the Avatica server.

## Method Details

### send

byte[] send(byte[] request)
Sends a serialized request to the Avatica server.

Parameters:
  `request` - The serialized request.
Returns:
  The serialized response.